<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Array Function Exercises</title>
</head>
<body>
    <script src="assets_accounts.js"></script>
    <script>
        // Ex 25

        console.log('Task 1');
        const task1Customer = accounts.find(a => a.number === 'EE154770478');
        console.log(task1Customer);

        console.log('Task 2');
        const task2Customer = accounts.find(a => a.number === 'LT937416401');
        console.log(task2Customer);

        console.log('Task 3');
        const task3Customer = accounts.some(a => a.number === 'LV587816561');
        console.log(task3Customer);

        console.log('Task 4');
        const task4Customer = accounts.some(a => a.number === 'EE251446912');
        console.log(task4Customer);

        console.log('Task 5');
        const ritchCustomers = accounts.filter(c => c.balance > 500);
        console.log(ritchCustomers);

        console.log('Task 6');
        const totalSum1 = accounts
            .filter(a => a.balance > 1000)
            .reduce((currentTotal, a) => currentTotal + a.balance, 0);
        console.log(totalSum1);

        const allSuperRitch = accounts.filter(a => a.balance > 1000);
        let totalSum2 = 0;
        allSuperRitch.forEach(a => totalSum2 += a.balance);
        console.log(totalSum2);

        console.log('Task 7');
        const totalSum3 = accounts
            .reduce((currentTotal, a) => currentTotal + a.balance, 0);
        console.log(totalSum3);

        console.log('Task 8');
        const totalSumEstonian = accounts
            .filter(a => a.number.substr(0, 2) === 'EE')
            .reduce((currentTotal, a) => currentTotal + a.balance, 0);
        console.log(totalSumEstonian);

        console.log('Task 9');
        const latvianAccounts = accounts.filter(a => a.number.substr(0, 2) === 'LV');
        const totalLatvianSum = latvianAccounts.reduce((currentTotal, a) => currentTotal + a.balance, 0);
        const latvianAverageBalance = totalLatvianSum / latvianAccounts.length;
        console.log(latvianAverageBalance);

        console.log('Task 10');
        const totalMaleLithuanians = accounts
            .filter(a => a.number.substr(0, 2) === 'LT' && a.gender === 'M')
            .reduce((currentTotal, a) => currentTotal + a.balance, 0);
        console.log(totalMaleLithuanians);

        console.log('Task 11');
        accounts
            .filter(a => a.number.substr(0, 2) === 'LT')
            .forEach(a => console.log(a.firstName + ' ' + a.lastName));

        console.log('Task 12');
        const poorLatviansExist = accounts
            .filter(a => a.number.substr(0, 2) === 'LV')
            .some(a => a.balance < 100);
        console.log(poorLatviansExist);

        console.log('Task 13');
        const noSuperPoors = accounts.every(x => x.balance >= 1);
        console.log(noSuperPoors);

    </script>
</body>
</html>